update_only and provide within the array timeframe-specific-dates-array the new values for the date ranges you intend to update, including in each date range the associated timeframe-id for that range. If any date ranges are missing the timeframe-id parameter, it may result in undesired behavior.update-only must be set to yes for this operation to succeed as desired. If any other value is supplied or the parameter update-only is omitted, it will result in the behavior described in "Replace All Date Ranges in Specific Dates Timeframe" - see examples for more information.Authorization: Bearer ********************curl --location --globoff --request PUT 'https://awqacore01.crexendocloud.com/ns-api/v2/domains/{{domain}}/timeframes/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"update_only": "string",
"timeframe-specific-dates-array": [
{
"timeframe-id": "string",
"timeframe-specific-dates-begin-date": "string",
"timeframe-specific-dates-begin-time": "string",
"timeframe-specific-dates-end-date": "string",
"timeframe-specific-dates-end-time": "string",
"timeframe-recurrence-type": "string",
"timeframe-recurrence-custom-interval": "string",
"timeframe-recurrence-custom-interval-count": "string",
"timeframe-recurrence-custom-interval-option": "string",
"timeframe-recurrence-end-option": "string",
"timeframe-recurrence-end-date": "string"
}
]
}'{}